# ovirt_scheduling_policy_info – Retrieve information about one or more oVirt scheduling policies

New in version 2.4.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Retrieve information about one or more oVirt scheduling policies.

- This module was called `ovirt_scheduling_policy_facts` before Ansible 2.9, returning `ansible_facts`. Note that the ovirt_scheduling_policy_info module no longer returns `ansible_facts`!

Aliases: ovirt_scheduling_policy_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7

- ovirt-engine-sdk-python >= 4.3.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

auth
dictionary / required

Dictionary with values needed to create HTTP/HTTPS connection to oVirt:
`username`[required] - The name of the user, something like admin@internal. Default value is set by OVIRT_USERNAME environment variable.
`password`[required] - The password of the user. Default value is set by OVIRT_PASSWORD environment variable.
`url`- A string containing the API URL of the server, usually something like `https://server.example.com/ovirt-engine/api`. Default value is set by OVIRT_URL environment variable. Either `url` or `hostname` is required.
`hostname` - A string containing the hostname of the server, usually something like `server.example.com`. Default value is set by OVIRT_HOSTNAME environment variable. Either `url` or `hostname` is required.
`token` - Token to be used instead of login with username/password. Default value is set by OVIRT_TOKEN environment variable.
`insecure` - A boolean flag that indicates if the server TLS certificate and host name should be checked.
`ca_file` - A PEM file containing the trusted CA certificates. The certificate presented by the server will be verified using these CA certificates. If ``ca_file`` parameter is not set, system wide CA certificate store is used. Default value is set by OVIRT_CAFILE environment variable.
`kerberos` - A boolean flag indicating if Kerberos authentication should be used instead of the default basic authentication.
`headers` - Dictionary of HTTP headers to be added to each API call.

fetch_nested
boolean

Choices:
- no
- yes

If yes the module will fetch additional data from the API.
It will fetch only IDs of nested entity. It doesn't fetch multiple levels of nested attributes. Only the attributes of the current entity. User can configure to fetch other attributes of the nested entities by specifying `nested_attributes`.

id - / required |  | ID of the scheduling policy.
name - |  | Name of the scheduling policy, can be used as glob expression.
nested_attributes list |  | Specifies list of the attributes which should be fetched from the API. This parameter apply only when `fetch_nested` is true.

## Notes

Note

- This module returns a variable `ovirt_scheduling_policies`, which contains a list of scheduling policies. You need to register the result with the register keyword to use it.

- In order to use this module you have to install oVirt Python SDK. To ensure it’s installed with correct version you can create the following task: pip: name=ovirt-engine-sdk-python version=4.3.0

## Examples

    # Examples don't contain auth parameter for simplicity,
    # look at ovirt_auth module to see how to reuse authentication:

    # Gather information about all scheduling policies with name InClusterUpgrade:
    - ovirt_scheduling_policy_info:
        name: InClusterUpgrade
      register: result
    - debug:
        msg: "{{ result.ovirt_scheduling_policies }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
ovirt_scheduling_policies list | On success. | List of dictionaries describing the scheduling policies. Scheduling policies attributes are mapped to dictionary keys, all scheduling policies attributes can be found at following url: https://ovirt.example.com/ovirt-engine/api/model#types/scheduling_policy.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Ondra Machacek (@machacekondra)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.